<?php

/**
 * @file
 * Various install and update script hooks for the PressPatron module.
 */

/**
 * Primary FormAPI callback for building the form.
 */
function presspatron_settings_form($form = array(), $form_state) {
  $form['presspatron_code'] = array(
    '#title' => t('Account code'),
    '#description' => t('This is taken from the PressPatron account system.'),
    '#type' => 'textfield',
    '#default_value' => variable_get('presspatron_code'),
    '#required' => TRUE,
  );

  // @todo Enable this when the CTools plugins are available.
  // $form['advanced'] = array(
  //   '#type' => 'fieldset',
  //   '#title' => t('Advanced options'),
  //   '#collapsed' => TRUE,
  //   '#collapsible' => TRUE,
  // );
  // $form['advanced']['presspatron_blocks'] = array(
  //   '#title' => t('Enable blocks'),
  //   '#type' => 'checkbox',
  //   '#default_value' => variable_get('presspatron_blocks', TRUE),
  //   '#description' => t('Uncheck to stop using the core <a href="!blocks">Block</a> system. Should only be disabled when using <a href="https://www.drupal.org/project/panels">Panels</a>, <a href="https://drupal.org/project/panelizer">Panelizer</a> or <a href="https://drupal.org/project/panels_everywhere">Panels Everywhere</a> modules to position the baners.', array('!blocks' => url('admin/structure/block'))),
  // );

  return system_settings_form($form);
}
